Name:		ephoto
Epoch:		1
Version:	0.1.1
Release:	1%{?dist}
Summary:	Ephoto Image viewer and slideshow creating tool based on EWL

Group:		Applications/Multimedia
License:	BSD
URL:		http://trac.enlightenment.org/e/wiki/Ephoto
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: eio-devel, gettext-devel, elementary-devel,
BuildRequires: ecore-devel ethumb-devel, efreet-devel, libexif-devel
#Requires:

%description
Ephoto is a picture viewer that focuses on simplicity rather than intricacies like databases, tags, and albums. It functions by displaying pictures contained inside a given directory and providing simple tools to view them elegantly. Pictures can be of any format supported by Evas.
Ephoto is an image viewer and slideshow creating tool based on EWL.
Ephoto Image Viewer/Editor/Manipulator/Slideshow creator.


%prep
%setup -q


%build
%configure --disable-static --enable-libexif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{_bindir}/ephoto*
%{_libdir}/ephoto*
#%{_datadir}/locale/*
%{_datadir}/applications/ephoto.desktop
%{_datadir}/pixmaps/ephoto.png


%changelog
* Wed Dec 15 2010 Vasile Chelban <vchelban@fedoramd.org> 1:0.1.1-1
- BR: eio-devel

* Tue Dec 08 2009 Chelban Vasile <vchelban@fedoramd.org> 5.15.0-2
- bump for rebuild

* Tue Oct 06 2009 Chelban Vasile <vchelban@fedoramd.org> 5.15.0-10
- BR: ethumb-devel replace epsilon-devel
- remove missing desktop

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 4.15.0-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 4.15.0-20090301
- Fixed BuildRequires based upon mock for F10
- CVS Update

* Thu Jul 17 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 3.15.0-20080717
- CVS Update

* Wed May 28 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 3.15.0-20080528
- CVS Update

* Sat Apr 5 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-20080405
- CVS Update

* Sun Mar 30 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-20080330
- CVS Update

* Mon Feb 25 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2008.02.25
- CVS Update

* Mon Feb 11 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2008.02.11
- CVS Update

* Mon Feb 4 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2008.02.04
- CVS Update

* Sun Jan 20 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2008.01.20
- CVS Update

* Tue Jan 8 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2008.01.08
- Fixed spec file (BuildRequires) based upon mock
- CVS Update

* Fri Dec 28 2007 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 2.15.0-2007.12.28
- CVS Update
